MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Types | Protected Attributes | List of all members
sc::OneBodyDerivIntCCA Class Reference

This implements one body derivative integrals. More...

`#include <obintcca.h>`

Inheritance diagram for sc::OneBodyDerivIntCCA:
[legend]
Collaboration diagram for sc::OneBodyDerivIntCCA:
[legend]

## Public Member Functions
| OneBodyDerivIntCCA (Integral *, const Ref< GaussianBasisSet > &, const Ref< GaussianBasisSet > &, IntegralEvaluatorFactory, bool, string)
void | compute_shell (int, int, DerivCenters &)
| Compute the derivative integrals and place the result in the buffer returned by buffer(). More...
void | compute_shell (int, int, int)
| Compute the derivative integrals with respect to the given center and place the result in the buffer returned by buffer(). More...
Public Member Functions inherited from sc::OneBodyDerivInt
| OneBodyDerivInt (Integral *, const Ref< GaussianBasisSet > &b)
| OneBodyDerivInt (Integral *, const Ref< GaussianBasisSet > &b1, const Ref< GaussianBasisSet > &b2)
int | nbasis () const
| Return the number of basis functions on center one.
int | nbasis1 () const
| Return the number of basis functions on the center one.
int | nbasis2 () const
| Return the number of basis functions on the center two.
int | nshell () const
| Return the number of shells on center one.
int | nshell1 () const
| Return the number of shells on center one.
int | nshell2 () const
| Return the number of shells on center two.
Ref< GaussianBasisSet > | basis ()
| Return the basis set on center one.
Ref< GaussianBasisSet > | basis1 ()
| Return the basis set on center one.
Ref< GaussianBasisSet > | basis2 ()
| Return the basis set on center two.
const double * | buffer () const
| The computed shell integrals will be put in the buffer returned by this member. More...
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Protected Types
typedef void(Int1eCCA::* | IntegralFunction )(int, int, DerivCenters &)

## Protected Attributes
Ref< Int1eCCA > | int1ecca_
Protected Attributes inherited from sc::OneBodyDerivInt
Integral * | integral_
Ref< GaussianBasisSet > | bs1
Ref< GaussianBasisSet > | bs2
double * | buffer_

## Additional Inherited Members
Protected Member Functions inherited from sc::RefCount
| RefCount (const RefCount &)
RefCount & | operator= (const RefCount &)

## Detailed Description

This implements one body derivative integrals.

It is given a function pointer to the Int1eCCA member that computes the particular integral of interest.

## Member Function Documentation

void sc::OneBodyDerivIntCCA::compute_shell | ( | int | ish,
|  | int | jsh,
|  | DerivCenters & |
| ) |  |
| virtual

Compute the derivative integrals and place the result in the buffer returned by buffer().

Implements sc::OneBodyDerivInt.

void sc::OneBodyDerivIntCCA::compute_shell | ( | int | ish,
|  | int | jsh,
|  | int | center
| ) |  |
| virtual

Compute the derivative integrals with respect to the given center and place the result in the buffer returned by buffer().

Implements sc::OneBodyDerivInt.

The documentation for this class was generated from the following file:

- obintcca.h